skb_pad
Prev | Socket Buffer Functions | Next

## Name

skb_pad — zero pad the tail of an skb

## Synopsis

`int skb_pad (` | struct sk_buff * | skb,
| int | pad`)`;

## Arguments

`skb`

  buffer to pad

`pad`

  space to pad

## Description

Ensure that a buffer is followed by a padding area that is zero filled. Used by network drivers which may DMA or transfer data beyond the buffer end onto the wire.

May return error in out of memory cases. The skb is freed on error.

Prev | Up | Next
skb_copy_expand | Home | __pskb_pull_tail